From 0d9563306a5c3f0dbdc74307e2aba775f016b110 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Fr=C3=A9d=C3=A9ric=20Bri=C3=A8re?= <fbriere@fbriere.net>
Date: Sat, 17 Apr 2010 17:50:22 -0400
Subject: [PATCH] Replace "+=" bashism found in configure

"+=" is not POSIX compliant, so shells like dash will fail to set
EXTRA_OBJECTS and EXTRA_DEFS appropriately (thus disabling RTC support).
---
 configure |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/configure b/configure
index 2bb2ac0..0f62cf2 100755
--- a/configure
+++ b/configure
@@ -245,8 +245,8 @@ case $SYSTEM in
     Linux* )
         EXTRA_OBJECTS="sys_linux.o wrap_adjtimex.o"
         if [ $feat_rtc -eq 1 ] ; then
-            EXTRA_OBJECTS+=" rtc_linux.o"
-            EXTRA_DEFS+=" -DFEAT_RTC=1"
+            EXTRA_OBJECTS="${EXTRA_OBJECTS} rtc_linux.o"
+            EXTRA_DEFS="${EXTRA_DEFS} -DFEAT_RTC=1"
         fi
         SYSDEFS="-DLINUX"
         echo "Configuring for " $SYSTEM
-- 
1.7.0.4

